πŸ”Address Private Key

Get the private key of a particular address with encrypted passphrase and other necessary parameters specified

Address Private Key with Encrypted Passphrase

GET /api/Address/get-address-privatekey

Get the private key of a particular address using encryptedPassphrase (API reference)

Query Parameters

Name
Type
Description

Address*

String

the address to get it's pvt. key

Headers

Name
Type
Description

Content-Type*

application/json

application in JSON format

Authorization*

Bearer <your Key>

attach your API key here

Usev2*

String

Value should be true or yes

wallet*

String

Wallet Name in which address belongs to

encryptedPassphrase*

String

Encrypted Passphrase

Get Address Private Key with Javascript SDK

Liaas SDK package installation

/** 
 * Get Address Private Key on Litecoin Blockchain
**/
 
//all the parameters specified here are the same as all the parameters in the API implementation
//pass your API key or Node URL, wallet name and encrypted key
const response = await liaasSdk.addressPrivateKey(nodeUrl_or_apiAccessKey, address, encryptedPassphrase, wallet);

Last updated

Was this helpful?